Error when I install package


#1

what should I do?

error details:
TypeError: Cannot read property ‘version’ of undefined
at C:\Users\MessiLiu\AppData\Local\atom\app-1.17.2\resources\app\node_modules\settings-view\lib\package-card.js:248:1
at C:\Users\MessiLiu\AppData\Local\atom\app-1.17.2\resources\app\node_modules\settings-view\lib\package-manager.js:317:1
at exit (C:\Users\MessiLiu\AppData\Local\atom\app-1.17.2\resources\app\node_modules\settings-view\lib\package-manager.js:128:1)
at triggerExitCallback (C:\Users\MessiLiu\AppData\Local\atom\app-1.17.2\resources\app\src\buffered-process.js:338:1)
at ChildProcess. (C:\Users\MessiLiu\AppData\Local\atom\app-1.17.2\resources\app\src\buffered-process.js:368:1)
at emitTwo (events.js:106:13)
at ChildProcess.emit (events.js:191:7)
at Process.ChildProcess._handle.onexit (internal/child_process.js:215:12)


#2

When and where do you see this error?


#3

2017/5/30 add:

A few months ago,I installed atom,at that time everything is ok.But about 15 days ago,after I uninstalled atom,I found there are three folders left in ‘C:\Users\myComputerName\.atom’, ‘C:\Users\myComputerName\AppData\Roaming\Atom’ and ‘C:\Users\MessiLiu\AppData\Local\atom’, so I put them in the trush.When I reinstalled atom,it’s ok.But then when I want to install any package,yes any package,I got the error above…


#4

What happens when you try to install a package from the command line? Try apm install activate-power-mode.


#5